Package twisted :: Package protocols :: Module policies :: Class LimitConnectionsByPeer

[show private | hide private]
[frames | no frames]

## Class LimitConnectionsByPeer

      Factory --+
                |
    ClientFactory --+
                    |
      WrappingFactory --+
                        |
                       LimitConnectionsByPeer

Stability: Unstable

Method Summary
| `__init__(self, wrappedFactory)` (inherited from `WrappingFactory`)
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` Called when a connection has failed. (inherited from `WrappingFactory`)
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost. (inherited from `WrappingFactory`)
| ``doStart`(self)` Make sure startFactory is called. (inherited from `Factory`)
| ``doStop`(self)` Make sure stopFactory is called. (inherited from `Factory`)
| ``registerProtocol`(self, p)` Called by protocol to register itself. (inherited from `WrappingFactory`)
| ``startedConnecting`(self, connector)` Called when a connection has been started. (inherited from `WrappingFactory`)
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors. (inherited from `Factory`)
| ``unregisterProtocol`(self, p)` Called by protocols when they go away.

Class Variable Summary
`class` | `LimitConnectionsByPeerProtocol`
`int` | `maxConnectionsPerPeer`

Method Details

### buildProtocol(self, addr)

Create an instance of a subclass of Protocol.

The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory.

Override this method to alter how Protocol instances get created.

  Overrides:
    `twisted.protocols.policies.WrappingFactory.buildProtocol` (inherited documentation)

### startFactory(self)

This will be called before I begin listening on a Port or Connector.

It will only be called once, even if the factory is connected to multiple ports.

This can be used to perform 'unserialization' tasks that are best put off until things are actually running, such as connecting to a database, opening files, etcetera.

  Overrides:
    `twisted.internet.protocol.Factory.startFactory` (inherited documentation)

### unregisterProtocol(self, p)

Called by protocols when they go away.

  Overrides:
    `twisted.protocols.policies.WrappingFactory.unregisterProtocol` (inherited documentation)

Class Variable Details

### LimitConnectionsByPeerProtocol

`LimitConnectionsByPeerProtocol` = `twisted.protocols.policies.LimitConnectionsByPeerProtocol`

### maxConnectionsPerPeer

  Type:
    `int`
  Value:

        5

Generated by Epydoc 1.1 on Thu May 8 13:16:46 2003 | http://epydoc.sf.net